function CanvasPainter(par){
	this.container = document.getElementById(par);  // get the parent element for the canvas
	this.canvas = document.createElement("CANVAS");
	this.canvas.id = par + "_cv"; // assign an id to the canvas (with suffix "_cv")
	if (!this.container.style.width) {  // check if width has been applied via css
		this.canvas.width = this.container.getElementsByTagName("DIV")[0].offsetWidth;  // get the width from the innerDiv
	} else {
		this.canvas.width = parseInt(this.container.style.width);  // use the CSS property assigned to the parent container
	}
	if (!this.container.style.height) { // check if height has been applied via css
		this.canvas.height = this.container.getElementsByTagName("DIV")[0].offsetHeight;  // get the height from the innerDiv
	} else {
		this.canvas.height = parseInt(this.container.style.height);  // use the CSS property assigned to the parent container
	}
	this.canvas.style.position = "relative";
	this.container.appendChild(this.canvas);
	if (this.canvas.getContext){
		this.ctx = this.canvas.getContext('2d');
	}
}

function roundedRect(x,y,radius,fromColor,toColor){
	var width = this.canvas.width;
	var height = this.canvas.height;
	var lingrad = this.ctx.createLinearGradient(0,0,0,height);  // define a linear gradient
	lingrad.addColorStop(0, fromColor);
	lingrad.addColorStop(1, toColor);
	// now draw the shape
	this.ctx.beginPath();
	this.ctx.moveTo(x,y+radius);
	this.ctx.lineTo(x,y+height-radius);
	this.ctx.quadraticCurveTo(x,y+height,x+radius,y+height);
	this.ctx.lineTo(x+width-radius,y+height);
	this.ctx.quadraticCurveTo(x+width,y+height,x+width,y+height-radius);
	this.ctx.lineTo(x+width,y+radius);
	this.ctx.quadraticCurveTo(x+width,y,x+width-radius,y);
	this.ctx.lineTo(x+radius,y);
	this.ctx.quadraticCurveTo(x,y,x,y+radius);
	this.ctx.fillStyle = lingrad;
	this.ctx.fill();
}

CanvasPainter.prototype.roundedRect = roundedRect;
